> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1integrations billings



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/integrations/{integration}/billings
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/integrations/{integration}/billings:
    post:
      tags:
        - Integrations
      operationId: integrations.billings
      parameters:
        - name: integration
          in: path
          required: true
          description: The integration ID
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaginatedRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/IntegrationBillingResource'
                  meta:
                    type: object
                    properties:
                      total:
                        type: integer
                    required:
                      - total
                required:
                  - data
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    PaginatedRequest:
      type: object
      properties:
        page:
          type:
            - integer
            - 'null'
        per_page:
          type:
            - integer
            - 'null'
        search:
          type: string
        search_ids:
          type: array
          items:
            type: string
            format: uuid
      title: PaginatedRequest
    IntegrationBillingResource:
      type: object
      properties:
        amount:
          type: string
        reason:
          type: string
        date_created:
          type: string
      required:
        - amount
        - reason
        - date_created
      title: IntegrationBillingResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````